@echo off
rem Command-line compiler of all Skype jsb files.
rem Should work from all settings\enu directories, including 6.0 user and default spaces.
rem The 6.0 approach only works here for JAWS installations on C:.
rem Run from the settings\enu directory.
rem The support for out-of-JAWS space compiling via the %JAWS% variable is untested and probably incomplete.
rem
rem Author:  Doug Lee, 2004-12-30

rem Figure out where scompile is, and set %jcp% to point to it.
if exist ..\..\scompile.exe set jcp=..\..\scompile.exe
if exist ..\..\scompile.exe goto jcpfound
if not exist keycodes.ini goto notjawsdir
if not exist default.jcf goto notjawsdir
if exist c:\progra~1\freedo~1\jaws\6.0\scompile.exe set jcp=c:\progra~1\freedo~1\jaws\6.0\scompile.exe
if exist c:\progra~1\freedo~1\jaws\6.0\scompile.exe goto jcpfound
goto nojaws
:notjawsdir
if %jaws%x==x goto nojaws
if %jaws%x==..\..x goto nojaws
if not exist %jaws%\scompile.exe echo The JAWS environment variable is set to %jaws%,
if not exist %jaws%\scompile.exe echo but scompile.exe does not seem to exist there.
if not exist %jaws%\scompile.exe goto end
set jcp=%jaws%\scompile.exe
goto jcpfound

:jcpfound
if not exist %jcp% echo Error getting path to scompile.exe
if not exist %jcp% goto nojaws
goto ok1

:nojaws
echo Scompile.exe not found, and the JAWS environment variable is not set.
goto end

rem Compile and get outa here.
:ok1
%jcp% Skype SkypeCOMAPI SkypeSetup SkypeWatch
if not errorlevel 1 goto ok2
echo Error during compilation.
goto end

:ok2
echo All compilations were successful.
goto end

:end
set jcp=
