; Include file for Skype scripts

; Strings in this file should NOT be localized.

globals int intAutoStartRun,
int IsInVerbosityDlg,
handle hndFSearchResponses,
int cidChatIncoming,
string strTextBuffer,
int intInMenu,
int intGotNewMessage

const
; Window class names (wc) and substrings within names (cws).
	wcApp = "TApplication",   ; The class name of the parent of Skype toolbars and other things
	cwsPageControl = "pagecontrol",  ; Identifies the main Skype window page control
	cwsEdit = "edit",  ; Identifies many edit controls
	cwsGrid = "grid",  ; Identifies most Skype grid controls
	cwsContactList = "contactlist",  ; Identifies the Skype 1.1 contact list grid window
	cwsSingleChat = "chatform",  ; Identifies Skype 1.0 top-level chat windows
	cwsMultiChat = "multichat",  ; Identifies Skype 1.1 top-level chat windows
	cwsMeControl = "mecontrol",  ; Identifies the parent of the Chat Input edit box in Skype 1.1
	cwsChatUserList = "groupchatuserlist",  ; Identifies the Skype 1.1 chat participant list window
	cwsChatErrors = "banner",  ; Identifies Skype 1.1 chat error message windows
	cwsSearch = "search",  ; Identifies the top-level Search window
	cwsAddressBar = "addressbar",  ; Identifies the address bar combo box
; Skype window types; See GetSkypeWindow().
; These can be sent to GetSkypeWindow() and GetSkypeMSAAObject().
; SWT_MenuBar is only intended for use with GetSkypeMSAAObject().
SWT_Main = "main",   ; The main (top-level) Skype window
SWT_MenuBar = "menubar",   ; The main-window Skype menu bar (MSAA object)
SWT_StatusBar = "statusBar",   ; The status bar window
SWT_MainToolBar = "toolbar",   ; The main toolbar window
SWT_AddressBar = "addressBar",   ; The addressbar window
SWT_PageControl = "pageControl",   ; The page control window (whose name identifies the active tab)
SWT_Start = "start",   ; The Start panel
SWT_Contacts = "contacts",   ; The contact list panel
SWT_Dial = "dial",   ; The Dial panel
SWT_History = "history",   ; The Call History panel
SWT_ActiveTabSheet = "activeTab",   ; The tab sheet for the active tab
SWT_Call = "call",   ; An active call panel (named after the callee)
SWT_Conference = "conference",   ; A conference panel
SWT_Callers = "callers",   ; A combo box listing all contacts who have ever called
SWT_ToolTip = "tooltip",   ; The Skype tool tip (contact/caller info, button name, etc.)
; The following are not absolute window identifiers; they are unique within a single active chat window.
SWT_ChatPrefix = "chat",   ; Not an ID; the prefix of all the below chat-related IDs.
SWT_ChatMain = "chatMain",   ; The main (top-level) window if it is an active chat
SWT_ChatInput = "chatInput",   ; The input edit box in the active chat window
SWT_ChatOutput = "chatOutput",   ; The output edit box in the active chat window
SWT_ChatList = "chatList",   ; The participant list in Skype 1.1 chat windows
SWT_ChatErrors = "chatErrors",   ; The control used for error messages etc. in Skype 1.1 chat windows

cnstCChat = "TskChatForm",
cnstCMain = "tSkMainForm",
cnstcStatusBar = "TTntStatusBar",
cnstcPanel = "TPanel",
cnstcAbout = "TskAbout",
CNSTCSearch = "tSkSearchForm",
cnstINIFileName = "skype.ini",
cnstINISectName = "toggles",
SV_RecognizeChat = "RecognizeChat",
SV_SpeakOnlineStatus = "SpeakOnlineStatus",
SV_SkypeWatchActive = "SkypeWatchActive",
CnstSkypeScriptsURL="http://www.panix.com/~ccn/projects/jfw/skype.php",
CnstScriptVersion="300",
CnstSkypeToggleList = "ToggleRecognizeChat:Recognize Chat Activity|ToggleSpeakOnlineStatus:Automatically Speak Online Status",
CnstSkypeWatchToggleList = "ToggleSkypeWatchActive:SkypeWatch Messages"
